Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  BricsCAD
  lstärke

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   lstärke (665 mal gelesen)
cad-mkl
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von cad-mkl an!   Senden Sie eine Private Message an cad-mkl  Schreiben Sie einen Gästebucheintrag für cad-mkl

Beiträge: 37
Registriert: 16.04.2012

Bricscad 12 /Nova 7/Acad 2000

erstellt am: 19. Apr. 2012 13:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Arbeite gerade meine Lisp-Programme von ACAD nach Bricscad um. Stelle dabei fest das es in Bricscad keine Möglichkeit gibt den Befehl "-lstärke" auszuführen. Der Befehl ist nur als "lstärke" über Dialogfenster möglich. Auch wenn man die Obtionen so gestellt hat das Befehle nicht in Dialogfenstern ausgeführt werden sollen. Wie kann ich die Standartlinienstärke sonst mir Lisp ändern. Hatte das immer mit "command" "-lstärke" ...  gemacht. Danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Ehrenmitglied V.I.P. h.c.
良い精神



Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 19. Apr. 2012 13:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cad-mkl 10 Unities + Antwort hilfreich

Ich gehe davon aus das es wie in Acad geregelt ist:
Stelle einfach die mit dem Befehl -lstärke angesteuerte Systemvariable um,
etwas anderes macht auch der Befehl nicht. Auch könntest den Befehl CELWEIGHT
testen (ist er vorhanden?)

Schau mal in die Systemvariablen die mit "ce" beginnen,
nur beim aktuellen Layer handelt es sich um "c" = cLAYER, sonst ceLWEIGHT zB.

Wie auch immer:
-LSTÄRKE
CELWEIGHT
oder
(setvar "CELWEIGHT" 25)

viele Wege führen nach Rom 

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 19. Apr. 2012 13:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cad-mkl 10 Unities + Antwort hilfreich

(entmod(subst(cons 370 LST)(assoc 370 DATA) DATA))

wobei DATA sich aus beispielsweise sowas wie (entget(entsel "\nObjekt: ")) ergibt  und LST die Linienstärke x100 als INT ist.

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad-mkl
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von cad-mkl an!   Senden Sie eine Private Message an cad-mkl  Schreiben Sie einen Gästebucheintrag für cad-mkl

Beiträge: 37
Registriert: 16.04.2012

Bricscad 12 /Nova 7/Acad 2000

erstellt am: 19. Apr. 2012 14:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke, habe mir wohl gedacht das es da eine Variable für gibt. Hatte in der Hilfe nur unter LStärke gesucht un nichts gefundnen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz